import { unsafeCSS } from 'lit';

var css = ".uui-text {\n  font-family: 'Lato', 'Helvetica Neue', Helvetica, Arial, sans-serif;\n  font-size: 15px;\n  line-height: calc(var(--uui-size-2,6px) * 4);\n  -webkit-font-smoothing: antialiased;\n}\n\n.uui-text h1,\n.uui-text .uui-h1 {\n  font-size: var(--uui-type-h1-size,60px);\n  line-height: var(--uui-size-layout-4,66px);\n  font-weight: 300;\n  margin-left: -5px;\n  margin-top: var(--uui-size-layout-1,24px);\n  margin-bottom: var(--uui-size-layout-1,24px);\n}\n.uui-text p + h1,\n.uui-text p + .uui-h1 {\n  margin-top: var(--uui-size-layout-4,66px);\n}\n.uui-text h1.--no-top-margin,\n.uui-text h1:first-child,\n.uui-text .uui-h1.--no-top-margin,\n.uui-text .uui-h1:first-child {\n  margin-top: 0;\n}\n\n.uui-text h2,\n.uui-text .uui-h2 {\n  font-size: var(--uui-type-h2-size,42px);\n  line-height: var(--uui-size-layout-3,42px);\n  font-weight: 300;\n  margin-left: -3px;\n  margin-top: var(--uui-size-layout-1,24px);\n  margin-bottom: var(--uui-size-layout-1,24px);\n}\n.uui-text p + h2,\n.uui-text p + .uui-h2 {\n  margin-top: var(--uui-size-layout-3,42px);\n}\n.uui-text h2.--no-top-margin,\n.uui-text h2:first-child,\n.uui-text .uui-h2.--no-top-margin,\n.uui-text .uui-h2:first-child {\n  margin-top: 0;\n}\n\n.uui-text h3,\n.uui-text .uui-h3 {\n  font-size: var(--uui-type-h3-size,30px);\n  line-height: var(--uui-size-large);\n  font-weight: 300;\n  margin-left: -2px;\n  margin-top: var(--uui-size-layout-1,24px);\n  margin-bottom: var(--uui-size-layout-1,24px);\n}\n.uui-text h3.--no-top-margin,\n.uui-text h3:first-child,\n.uui-text .uui-h3.--no-top-margin,\n.uui-text .uui-h3:first-child {\n  margin-top: 0;\n}\n\n.uui-text h4,\n.uui-text .uui-h4 {\n  font-size: var(--uui-type-h4-size,21px);\n  line-height: 21px;\n  font-weight: 400;\n  margin-left: -1px;\n  margin-top: var(--uui-size-layout-1,24px);\n  margin-bottom: var(--uui-size-layout-1,24px);\n}\n.uui-text h4.--no-top-margin,\n.uui-text h4:first-child,\n.uui-text .uui-h4.--no-top-margin,\n.uui-text .uui-h4:first-child {\n  margin-top: 0;\n}\n\n.uui-text h5,\n.uui-text .uui-h5 {\n  font-size: var(--uui-type-h5-size,15px);\n  line-height: inherit;\n  font-weight: 700;\n  margin-left: 0;\n  margin-top: var(--uui-size-layout-1,24px);\n  margin-bottom: 0;\n}\n\n.uui-text h5.--no-top-margin,\n.uui-text h5:first-child,\n.uui-text .uui-h5.--no-top-margin,\n.uui-text .uui-h5:first-child {\n  margin-top: 0;\n}\n\n.uui-text p {\n  margin-top: var(--uui-size-layout-1,24px);\n  margin-bottom: var(--uui-size-layout-1,24px);\n}\n.uui-text p.uui-lead {\n  font-size: var(--uui-size-6,18px);\n}\n\n.uui-text a:link,\n.uui-text a:active {\n  color: var(--uui-color-space-cadet);\n}\n.uui-text a:hover {\n  color: var(--uui-color-violet-blue);\n}\n\n.uui-text small {\n  display: inline-block;\n  font-size: var(--uui-type-small-size,12px);\n  line-height: calc(var(--uui-size-2,6px) * 3);\n  margin-bottom: var(--uui-size-layout-1,24px);\n}\n\n.uui-text blockquote {\n  float: right;\n  font-size: 15px;\n  font-weight: 700;\n  font-style: italic;\n  margin-top: 0;\n  margin-bottom: var(--uui-size-layout-1,24px);\n  margin-right: -0.035em;\n  max-width: 16em;\n  quotes: '“' '”' '‘' '’';\n  line-height: inherit;\n}\n\n.uui-text blockquote:before {\n  content: open-quote;\n  margin-left: -0.4em;\n  margin-right: 0.08em;\n  vertical-align: bottom;\n  font-weight: 400;\n  font-size: 2em;\n}\n\n.uui-text blockquote:after {\n  content: close-quote;\n  margin-left: 0.04em;\n  margin-right: -0.4em;\n  vertical-align: bottom;\n  font-weight: 400;\n  font-size: 2em;\n  margin-bottom: -2px;\n  display: inline-block;\n}\n\n.uui-text ul {\n  list-style-type: square;\n  padding-left: var(--uui-size-layout-1,24px);\n  margin-top: var(--uui-size-layout-1,24px);\n  margin-bottom: var(--uui-size-layout-1,24px);\n}\n\n.uui-text ol {\n  padding-left: var(--uui-size-layout-1,24px);\n  margin-top: var(--uui-size-layout-1,24px);\n  margin-bottom: var(--uui-size-layout-1,24px);\n}\n";

const UUITextStyles = unsafeCSS(css);

export { UUITextStyles };
